function(cx_cmake_list_join list glue output_variable )
  if ( ( CMAKE_VERSION VERSION_GREATER 3.12 ) OR ( CMAKE_VERSION VERSION_EQUAL 3.12 ) )
    list( JOIN ${list} ${glue} joined_list )
  else ( )
    set( glued FALSE )
    foreach( item IN LISTS ${list} )
      if ( joined_list )
        set( joined_list "${joined_list}${glue}${item}" )
      else( )
        set( joined_list "${item}" )
      endif( )
    endforeach( )
  endif( )
  set( ${output_variable} ${joined_list} PARENT_SCOPE )
endfunction( )
