set(PKG_CONFIG_USE_CMAKE_PREFIX_PATH True)
find_package(PkgConfig REQUIRED)
pkg_check_modules(IGWN REQUIRED igwncmake>=1.5.0)
set(IGWN_PKG_CONFIG_FILE ${IGWN_PREFIX}/share/pkgconfig/igwncmake.pc)
pkg_get_variable(IGWN_CMAKE_MODULEDIR ${IGWN_PKG_CONFIG_FILE} cmakemoduledir CACHE FILEPATH "Root directory for IGWN CMake macros" )
message(STATUS "IGWN_CMAKE_MODULEDIR: ${IGWN_CMAKE_MODULEDIR}")
pkg_get_variable(IGWN_CMAKE_SCRIPTDIR ${IGWN_PKG_CONFIG_FILE} cmakescriptdir CACHE FILEPATH "Root directory for IGWN scripts" )
if( IGWN_CMAKE_MODULEDIR )
  list( INSERT CMAKE_MODULE_PATH 0 "${IGWN_CMAKE_MODULEDIR}")
endif( )

#========================================================================
# Preload common packages
#------------------------------------------------------------------------

include( Autotools/Autotools )
include( Autotools/Archive/Archive )
include( Autotools/ArchiveX/ArchiveX )
